Skip to content
Developers
Teams

Update a team

View Markdown

PATCH /teams/{team_id}

PATCH
/teams/{team_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

team_id*string

Team ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://app.supervisible.com/api/v1/teams/string" \  -H "Content-Type: application/json" \  -d '{    "managerId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e"  }'
{
  "data": {
    "id": "019cb675-c4d6-7e90-8806-25e5145c3a07",
    "name": "Pod 3",
    "managerId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",
    "members": [
      {
        "id": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",
        "name": "Juan Méndez"
      }
    ],
    "projectIds": [
      "019cb675-c4d6-7e90-8806-25e5145c3a06"
    ],
    "createdAt": "2026-01-06T10:00:00.000Z",
    "updatedAt": "2026-01-07T10:00:00.000Z"
  }
}
Empty
Empty
Empty
Empty
Empty
Empty